# Shop Insurance

The following endpoints will allow a merchant to subscribe their customer to the Shop insurance plan as well as request claims.

## List All Shop Insurance Products

## This endpoint returns a list of all the shop insurance products

<mark style="color:blue;">`GET`</mark> `https://sandbox.insurpass.com/api/merchant/get_shop_insure_product`

#### Headers

| Name                                            | Type   | Description                     |
| ----------------------------------------------- | ------ | ------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer {$secret-key}/{$api-key} |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json                |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
   "success":true,
   "response_message":"Shop insure product get successful",
   "response_code":"",
   "data":[
      {
         "id":3,
         "name":"Shop Insure (Bronze)",
         "details":"Bronze",
         "beneficiaries":true,
         "max_beneficiaries":3,
         "provider_id":2,
         "logo_url":"logo.png",
         "enable":true,
         "created_at":"2022-02-17T14:06:52.000000Z",
         "updated_at":"2022-02-17T14:06:52.000000Z",
         "service_id":3,
         "product_class_id":0,
         "price_config":[
            {
               "id":9,
               "product_id":3,
               "no_of_users":4,
               "provider_price":"2000.00",
               "coverdor_commission":"400.00",
               "total_price":"2800.00",
               "product_code":"shop-insure-bronze",
               "product_short_code":"SHP_BRONZE",
               "created_at":"2022-02-17T14:06:52.000000Z",
               "updated_at":"2022-02-17T14:06:52.000000Z",
               "system_commission":"400.00",
               "amount_insured":"200000.00",
               "commission_type":"fixed",
               "min_price":"0.00",
               "max_price":"0.00"
            }
         ]
      },
      {
         "id":4,
         "name":"Shop Insure (Silver)",
         "details":"Silver",
         "beneficiaries":true,
         "max_beneficiaries":3,
         "provider_id":2,
         "logo_url":"logo.png",
         "enable":true,
         "created_at":"2022-02-17T14:06:52.000000Z",
         "updated_at":"2022-02-17T14:06:52.000000Z",
         "service_id":3,
         "product_class_id":0,
         "price_config":[
            {
               "id":10,
               "product_id":4,
               "no_of_users":4,
               "provider_price":"3000.00",
               "coverdor_commission":"400.00",
               "total_price":"3800.00",
               "product_code":"shop-insure-silver",
               "product_short_code":"SHP_SILVER",
               "created_at":"2022-02-17T14:06:52.000000Z",
               "updated_at":"2022-02-17T14:06:52.000000Z",
               "system_commission":"400.00",
               "amount_insured":"300000.00",
               "commission_type":"fixed",
               "min_price":"0.00",
               "max_price":"0.00"
            }
         ]
      },
      {
         "id":5,
         "name":"Shop Insure (Gold)",
         "details":"Gold",
         "beneficiaries":true,
         "max_beneficiaries":3,
         "provider_id":2,
         "logo_url":"logo.png",
         "enable":true,
         "created_at":"2022-02-17T14:06:52.000000Z",
         "updated_at":"2022-02-17T14:06:52.000000Z",
         "service_id":3,
         "product_class_id":0,
         "price_config":[
            {
               "id":11,
               "product_id":5,
               "no_of_users":4,
               "provider_price":"5000.00",
               "coverdor_commission":"400.00",
               "total_price":"5800.00",
               "product_code":"shop-insure-gold",
               "product_short_code":"SHP_GOLD",
               "created_at":"2022-02-17T14:06:52.000000Z",
               "updated_at":"2022-02-17T14:06:52.000000Z",
               "system_commission":"400.00",
               "amount_insured":"500000.00",
               "commission_type":"fixed",
               "min_price":"0.00",
               "max_price":"0.00"
            }
         ]
      },
      {
         "id":6,
         "name":"Shop Insure (Diamond)",
         "details":"Diamond",
         "beneficiaries":true,
         "max_beneficiaries":3,
         "provider_id":2,
         "logo_url":"logo.png",
         "enable":true,
         "created_at":"2022-02-17T14:06:52.000000Z",
         "updated_at":"2022-02-17T14:06:52.000000Z",
         "service_id":3,
         "product_class_id":0,
         "price_config":[
            {
               "id":12,
               "product_id":6,
               "no_of_users":4,
               "provider_price":"9000.00",
               "coverdor_commission":"400.00",
               "total_price":"9800.00",
               "product_code":"shop-insure-diamond",
               "product_short_code":"SHP_DIAMOND",
               "created_at":"2022-02-17T14:06:52.000000Z",
               "updated_at":"2022-02-17T14:06:52.000000Z",
               "system_commission":"400.00",
               "amount_insured":"1000000.00",
               "commission_type":"fixed",
               "min_price":"0.00",
               "max_price":"0.00"
            }
         ]
      }
   ]
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://sandbox.insurpass.com/api/merchant/get_shop_insure_product',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer {{SECRETKEY}}'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}

{% tab title="NODE JS" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axio');
var data = '';

var config = {
  method: 'get',
  url: 'https://sandbox.insurpass.com/api/merchant/get_shop_insure_product',
  headers: { 
    'Authorization': 'Bearer {{SECRETKEY}}'
  },
  data: data
};

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});
```

{% endcode %}
{% endtab %}

{% tab title="CURL" %}
{% code overflow="wrap" %}

```clike
curl --location --request GET https://sandbox.insurpass.com/api/merchant/get_merchant_shop_insure_policies' \
--header 'Authorization: Bearer {{SECRETKEY}}' \
--header 'Accept: application/json' \
--data-raw ''
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://milonics.gitbook.io/api-documentation/insurpass-api-reference/shop-insurance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
